# UniTAP.dev.modules.dut_tests.dut_default_params.link_config_test

class LinkRate(enum.IntEnum):

Class `LinkRate` describes available supported link rates.

Rate_1_62_Gbps = <LinkRate.Rate_1_62_Gbps: 6>
Rate_2_7_Gbps = <LinkRate.Rate_2_7_Gbps: 10>
Rate_5_4_Gbps = <LinkRate.Rate_5_4_Gbps: 20>
Rate_8_1_Gbpc = <LinkRate.Rate_8_1_Gbpc: 30>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class LinkConfigTestParam:

Class `LinkConfigTestParam` describes parameters for Link configuration test.

- Test timeout, in milliseconds `timeout`.
- Defines the maximum number of lanes to be tested `max_lane_count`. Possible variants: 1, 2, 4.
- Defines the maximum link rate to be tested `max_rate` type `LinkRate`.
- Defines the length of the HPD pulse used to start each test iteration, in milliseconds `hpd_pulse_duration`.
- Defines how long the test waits for LT start after issuing HPD pulse, in milliseconds `lt_start_timeout`.
- Defines the additional delay inserted in between test iterations, in milliseconds `test_loop_delay`.

LinkConfigTestParam(json_obj)
timeout

Set and get test timeout, in milliseconds.

###### Returns:

> object of int type

max_lane_count: int

Set and get maximum number of lanes.

###### Returns:

> object of int type

max_rate

Set and get maximum link rate.

###### Returns:

> object `LinkRate`

hpd_pulse_duration: int

Set and get length of the HPD pulse.

###### Returns:

> object of int type

lt_start_timeout: int

Set and get link training start timeout.

###### Returns:

> object of int type

test_loop_delay: int

Set and get test loop delay.

###### Returns:

> object of int type